%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-concurrency-1.0-api
Version:          1.0.0
Release:          0.2%{namedreltag}%{dist}
Summary:          Concurrency Utilities for JavaEE
License:          CDDL or GPLv2 with exceptions
Url:              http://www.jboss.org
Source0:          https://github.com/jboss/jboss-javaee-concurrency-api_spec/archive/jboss-concurrency-api_1.0_spec-%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    felix-osgi-foundation
BuildRequires:    felix-parent
BuildRequires:    maven-local

BuildArch:        noarch

%description
JSR-000236 Concurrency Utilities API Classe

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-javaee-concurrency-api_spec-jboss-concurrency-api_1.0_spec-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.2.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 17 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.CR1
- Initial packaging



